package com.example.f1hub.domain.usecase.ads

import com.example.f1hub.data.repository.AdsRepository
import javax.inject.Inject

class DeleteAdUseCase @Inject constructor(
    private val repository: AdsRepository
) {
    suspend operator fun invoke(token:String, id: Int): Boolean {
        return repository.deleteAd(token, id)
    }
}