package com.example.f1hub.domain.usecase.items

import com.example.f1hub.data.dto.out.items.ItemsNoIdDto
import com.example.f1hub.data.dto.`in`.items.ResponseItem
import com.example.f1hub.data.repository.ItemRepository
import javax.inject.Inject

class AddItemUseCase @Inject constructor(
    private val repository: ItemRepository
) {
    suspend operator fun invoke(token:String, addItem: ItemsNoIdDto): ResponseItem? {
        return repository.addItem(token, addItem)
    }
}
