package com.example.f1hub.domain.usecase.items

import com.example.f1hub.data.repository.ItemRepository
import javax.inject.Inject

class DeleteItemUseCase @Inject constructor(
    private val repository: ItemRepository
) {
    suspend operator fun invoke(token:String, id: Int): Boolean {
        return repository.deleteItem(token, id)
    }
}
