package com.example.f1hub.domain.usecase.items

import com.example.f1hub.data.dto.`in`.items.ResponseItem
import com.example.f1hub.data.repository.ItemRepository
import javax.inject.Inject

class GetItemByIdUseCase  @Inject constructor(
    private val repository: ItemRepository
) {
    suspend operator fun invoke(token:String, id: Int): ResponseItem? {
        return repository.getItemById(token, id)
    }
}