package com.example.f1hub.domain.usecase.items

import com.example.f1hub.data.dto.`in`.items.ResponseItem
import com.example.f1hub.data.repository.ItemRepository
import javax.inject.Inject

class GetItemsByTitleUseCase @Inject constructor(
    private val repository: ItemRepository
) {
    suspend operator fun invoke(token:String, title:String): List<ResponseItem> {
        return repository.getItemsByTitle(title, token)
    }
}