package com.example.f1hub.domain.usecase.users

import com.example.f1hub.data.dto.`in`.users.UserResponse
import com.example.f1hub.data.repository.UserRepository
import javax.inject.Inject

class FindUserByIdUseCase  @Inject constructor(
    private val repository: UserRepository
) {
    suspend operator fun invoke(token: String, id:Int): UserResponse? {
        return repository.findUserById(token,id)
    }
}