package com.example.f1hub.domain.usecase.users

import com.example.f1hub.data.dto.`in`.users.UserLoginResponse
import com.example.f1hub.data.dto.`in`.users.UserResponse
import com.example.f1hub.data.dto.out.users.UserLoginDto
import com.example.f1hub.data.repository.UserRepository
import javax.inject.Inject

class LoginUseCase @Inject constructor(
    private val repository: UserRepository
) {
    suspend operator fun invoke(userLoginDto: UserLoginDto): UserLoginResponse? {
        return repository.login(userLoginDto)
    }
}