package com.example.f1hub.domain.usecase.users

import com.example.f1hub.data.dto.`in`.users.UserResponse
import com.example.f1hub.data.dto.out.users.UserNoIdDto
import com.example.f1hub.data.repository.UserRepository
import javax.inject.Inject

class RegisterUseCase @Inject constructor(
    private val repository: UserRepository
) {
    suspend operator fun invoke(userRegister: UserNoIdDto): UserResponse? {
        return repository.register(userRegister)
    }
}