package com.example.f1hub.data.network

import com.example.f1hub.data.service.ApiService
import retrofit2.Retrofit
import retrofit2.converter.gson.GsonConverterFactory

object InstanceRetrofit {

    private const val URL_BASE = "http://172.25.36.12:8080/"

    //Patron singleton que abastece de conexiones con la api
    val retrofitService : ApiService by lazy {
        getRetrofit().create(ApiService::class.java)
    }



    private fun getRetrofit() : Retrofit = Retrofit
        .Builder()
        .baseUrl(URL_BASE)
        .addConverterFactory(GsonConverterFactory.create())
        .build()
}