package com.example.f1hub.domain.usecase.ads

import com.example.f1hub.data.dto.out.ads.AdNoIdDto
import com.example.f1hub.data.dto.`in`.ads.ResponseAd
import com.example.f1hub.data.repository.AdsRepository
import javax.inject.Inject

class AddAdUseCase @Inject constructor(
    private val repository: AdsRepository
) {
    suspend operator fun invoke(token:String, addAd: AdNoIdDto): ResponseAd? {
        return repository.addAd(token, addAd)
    }
}