package com.example.f1hub.domain.usecase.ads

import com.example.f1hub.data.dto.`in`.ads.ResponseAd
import com.example.f1hub.data.repository.AdsRepository
import javax.inject.Inject


class GetAdsByTitleUseCase @Inject constructor(
    private val repository: AdsRepository
) {
    suspend operator fun invoke(title: String,token: String): List<ResponseAd> {
        return repository.getAdsByTitle(title, token)
    }
}
