package com.example.f1hub.domain.usecase.items

import com.example.f1hub.data.dto.`in`.items.ResponseItem
import com.example.f1hub.data.repository.ItemRepository
import javax.inject.Inject

class GetAllItemsByUser  @Inject constructor(
    private val repository: ItemRepository
) {
    suspend operator fun invoke(token:String,id:Int): List<ResponseItem> {
        return repository.getAllItemsByUser(token,id)
    }
}