package com.example.f1hub.domain.usecase.users

import com.example.f1hub.data.dto.`in`.users.UserResponse
import com.example.f1hub.data.dto.out.users.UserAllAttributesDto
import com.example.f1hub.data.repository.UserRepository
import javax.inject.Inject

class UpdateUserUseCase  @Inject constructor(
    private val repository: UserRepository
) {
    suspend operator fun invoke(token: String, editUser: UserAllAttributesDto): UserResponse? {
        return repository.updateUser(token, editUser)
    }
}